/*
 * Autocomplete
 *
 * Autocomplete layer for fields
 *
 * Index
 * - List
 * - Item
 */

/**
 * @prop --margin-top: margin top of the select-filter (should equal the height of the field)
 */

:host {
  --margin-top: 3rem;

  position: relative;
  display: block;
}

/* LIST
 -------------------- */

.select-filter-list {
  position: absolute;
  top: var(--margin-top);
  z-index: 2;
  width: 100%;
  max-height: 16rem;
  padding: 0;
  margin: 0;
  overflow-y: scroll;
  font-family: var(--road-font, sans-serif);
  font-size: 1rem;
  color: var(--road-on-surface);
  list-style-type: none;
  background: var(--road-surface);
  border-radius: 0 0 0.25rem 0.25rem;
  box-shadow: var(--road-elevation-low);
}

.select-filter-list.not-active {
  opacity: 0;
}

/* ITEM
 -------------------- */

.select-filter-item {
  display: flex;
  align-items: center;
  padding: 0.75rem 1rem;
  cursor: pointer;
}

.select-filter-item.active {
  outline: 1px solid var(--road-input-outline-variant);
}

/**
 * Hover state
 */

.select-filter-item:hover,
.select-filter-item:focus,
.select-filter-item.highlight {
  color: var(--road-on-primary);
  background: var(--road-primary);
}
